Subject: Re: [PATCH v2 1/6] gnu: add crun

From: Timmy Douglas <[email-masked]>
Date: Fri, 24 Dec 2021 16:22:59 -0800

Ludovic Courtès <[email-masked]> writes:

>> from guix build:
>>
>> ============================================================================
>> Testsuite summary for crun UNKNOWN
>> ============================================================================
>> # TOTAL: 73
>> # PASS:  9
>> # SKIP:  28
>> # XFAIL: 0
>> # FAIL:  36
>> # XPASS: 0
>> # ERROR: 0
>
> There are 36 failures though; does ‘test-suite.log’ show more details?

Maybe my original reply wasn't clear--they all pass when I cd into the
tmp (--keep-failed) directory and run them manually. They fail when the builder runs
them. I think I put the reasons in the v3 patch. For crun, it's because
it needs the /sys/fs/cgroup mount which doesn't seem to be there for the
builder. For the others, it's a similar situation--off the top of my
head, they were either missing that mount or a /dev device.